Как добавить панель 3D единства в оболочки GNOME (не панель 2Д единства)

Как добавить панель 3D единства в скорлупе гнома, не панель 2Д единства.

+12
Jon of All Trades 11 дек. 2017 г., 7:01:26
29 ответов

Я добавил дополнительные каталоги $путь на экспорт путь=/мой/Дирс:$путь Но я не уверен, если я должен сделать то же самое с окружения manpath. Потому что по умолчанию содержат пуст, но человек команда работает. Я нашел команду под названием содержат и его руководство говорит, что если $manpath установить, содержат просто отобразить его содержимое и вынести предупреждение.. Это значит, что настройка окружения manpath-это не правильный путь, чтобы добавить каталоги для человека команду искать страницы руководства?

+995
cyl19910101 03 февр. '09 в 4:24

Попробуйте:

старпома Баш

Это должно перезагрузить ~/.bashrc и, ~/.bash_aliases и т. д.

+991
Stasoncheb21 15 янв. 2016 г., 17:33:39

Пусть говорят, что у меня 2 машины:

  • местные (в CentOS)
  • удаленное по IP: 123.123.123.123 порт SSH 456 (Ubuntu сервер)

и я хочу, чтобы синхронизировать удаленную папку /дома/волчок/РУ с моей локальной папке /дома/каво/питон.

Это может быть сделано с помощью команды rsync? Можете ли вы дать мне пример?

+977
Bhavin Parmar 9 мая 2015 г., 8:43:46

У меня была такая же проблема - покупайте кнопка в моем приложений Ubuntu центр становится серым и начинает периодически. Для установки других программ, я получил вокруг, что с помощью кнопки 'установить' опцию в меню-баре, под файл. Но в этом случае, для учителя PDF редактор, даже что недоступен!!

Поэтому единственный вариант для меня был пользоваться терминалом - но как?


Этот блог на испанском языке дает четкие указания.

Я перефразирую вот его суть:

для 32-разрядной Ubuntu, использовать

кд /опт && wget для судо http://code-industry.net/public/PDFEditor-1.7.01.i386.tar.gz && судо тар-zxvf PDFEditor-1.7.01.i386.tar.gz && судо РМ PDFEditor-1.7.01.i386.tar.gz

для 64-битной Ubuntu, используйте

кд /опт && wget для судо http://code-industry.net/public/PDFEditor-1.7.01.x86_64.tar.gz && судо тар-zxvf PDFEditor-1.7.01.x86_64.tar.gz && судо РМ PDFEditor-1.7.01.x86_64.tar.gz
+917
WhiteHotaru 4 февр. 2016 г., 6:22:24

Я пытаюсь обновить с помощью этих шагов :

  1. Обновление системы через терминал ("суда apt-получить обновление && судо apt-получить расстояние-обновления")
  2. Запустите "обновление-менеджер -д'суда" (где я надеюсь, что Менеджер обновлений должен открыться и сказать вам: новый релиз ’13.04‘ доступен)

Но когда я сделал 1ст шаг от терминала, это произошло:


>Извлечена 489 КБ в 49с (9,954 б/с)
>Чтение списков пакетов... готово
>Чтение списков пакетов... готово
>Построение дерева зависимостей 
>Чтение информации о состоянии... готово
>Возможно, вы захотите воспользоваться 'apt-получить -Ф Install' для исправления этих.
>Следующие пакеты имеют неудовлетворенные зависимости:
>пакетов libc6 : зависит: libgcc1 но он не установлен
> Зависит: tzdata, но он не установлен
>Е: неудовлетворенные зависимости. Попытайтесь использовать-F.

Но когда я попытался запустить "apt-получить -Ф установить", я получил:


>Е: не удалось открыть файл блокировки /ВАР/Либ/с dpkg/ "открыто - закрыто" (13: отказано в разрешении)
>
Е: не удалось заблокировать каталог, куда администрирования (файл/var/lib в/с dpkg/), вы корень?

Я очень ценю ваше предложение, спасибо.

Ой... я забыл упомянуть, что я пробовал, что слишком... и вот результат:


Михаил@в Ubuntu:~$ судо apt-получить -Ф установите 

> [суда] пароль для Майкла:
> Чтение списков пакетов... готово построение дерева зависимостей 

> Чтение информации о состоянии... готово исправления зависимостей... 

> Сделал следующие дополнительные пакеты будут установлены: пакет apt-utils и в debconf
> пакет с названием i18n помощью dpkg на GCC-4.7-выбор программ-inst1 в.5 переводы-pkg4.12
> libbz2-1.0 пакетов libc6 libdb5.1 libgcc1 liblocale-то gettext-на Perl liblzma5
> libselinux1 с libstdc++6 libtext-браузер-на Perl libtext-то iconv-на Perl
> libtext-wrapi18n-на Perl и Perl-базовые смолы zlib1g 
> Предложил пакеты: в XZ-utils версии пакет док конференция debconf-utils и диалог настоящих гномов-утилиты
> libterm-с readline-гну-Перл libgtk2-Perl для либнет-LDAP в языке Perl libqtgui4-Перл
> libqtcore4-на Perl АПТ с glibc-док районов командой bzip2 ncompress 

> Следующие новые пакеты будут установлены: пакет apt-utils и в debconf пакет с названием i18n помощью dpkg
> переводы-inst1 в.5 переводы-pkg4.12 libbz2-1.0 libdb5.1 libgcc1
> liblocale-то gettext-на Perl liblzma5 libselinux1 с libstdc++6 
> libtext-браузер-на Perl libtext-то iconv-на Perl libtext-wrapi18n-Перл
> в Perl-базовые смолы zlib1g 

> Следующие пакеты будут обновлены: 
> на GCC-4.7-база пакетов libc6 2 обновлены, 19 установлено новых, 0 для удаления и 1
> не обновляется. 2 не полностью установлены или удалены. Нужно получить 0 б/11.3
> МБ архивов. После этой операции, 22.3 МБ дополнительного дискового пространства
> будут использованы. Вы действительно хотите продолжить [д/н]? 
> г 

> в debconf: не удалось инициализировать интерфейс: диалог с debconf: (интерфейс dialog требует
> экран не менее 13 строк в высоту и 31 широких столбцов.) в debconf: падение
> вернуться на frontend: с readline 

> Е: невозможно определить версию debconf. Он установлен? в debconf: АПТ-extracttemplates не удалось: (чтение базы данных... 479 файлы и папки установленные.) Готовится сменить пакетом libc6:amd64 в 2.15-0ubuntu20.1 (с помощью .../libc6_2.17-0ubuntu5_amd64.деб) ... 
в debconf: не удалось инициализировать интерфейс: диалог с debconf: (интерфейс dialog требуется экран не менее 13 строк в высоту и 31 столбца в ширину.) в debconf: падая обратно на frontend:

> С readline проверка услуг, который может потребоваться перезагрузка...
> Проверка инит скрипты... проверка услуг, которые могут потребоваться
> перезапустить... проверка скриптов инициализации... ничего, чтобы перезагрузить. с dpkg: ошибка
> обработка в /var/кэш/АПТ/архив/libc6_2.17-0ubuntu5_amd64.деб
> (--распаковать): подпроцесс новая предварительная установка скрипт вернул ошибку
> состояние выхода 2 команды dpkg: о .../libbz2-1.0_1.0.6-4_amd64.деб
> содержащих libbz2-1.0:для amd64, предварительно зависимость проблема: libbz2-1.0
> предварительно зависит от мультиархитектурный-поддержка-поддержка распаковки, но
> никогда не был настроен.
> 
> с dpkg: ошибка при обработке 
> в /var/кэш/АПТ/архив/libbz2-1.0_1.0.6-4_amd64.деб (--распаковать): 
> предварительно зависимость проблема - не установка libbz2-1.0:ошибки для amd64 были
> обнаружена при обработке: 
> в /var/кэш/АПТ/архив/libc6_2.17-0ubuntu5_amd64.деб 
> в /var/кэш/АПТ/архив/libbz2-1.0_1.0.6-4_amd64.деб 

> Е: подпроцесс
> /usr/бен/с dpkg вернул код ошибки (1)
+894
Ng Poh Shen 6 мар. 2019 г., 6:33:51

Какова ваша версия ядра?

Тип: uname-Р. Если 3.2 то попробуйте установить этот пакет.

Если это не 3.2 или он не работает, пожалуйста, взгляните на это.

Чтобы делать вещи, безопасный путь , вот пакет автор сайта, наряду с этим источником и составлен деб.

+865
user146730 25 февр. 2018 г., 20:00:42

Если вы еще не явно задать пароль пользователя root, я подозреваю, что ваша установка не сможет быть исправлены изнутри. Загрузиться с диска с Ubuntu, открыть громкости в Наутилусе, а затем выполните следующие команды в терминале:

$ судо Чаун корня:корень /СМИ/*/и т. д./пользователям использовать sudo?

Я не могу понять, как бы вы попали в такую ситуацию в первую очередь, хотя.

Кстати, Ваш вопрос может использовать некоторые редактирования копирования, разметки и актуальный вопрос. Отсюда путаница @венки по.

+805
user1634619 27 июн. 2014 г., 19:34:01

Я использую Ubuntu уже около пяти лет, и я все еще не могу заставить его приостановить, когда я хочу. Это очень раздражает, что я могу программировать шторм, взломать машину в множество других способов, и еще, и еще, когда я пытаюсь сделать его заморозить или приостановить отладки, я с треском провалились.

Мне нужна помощь.

Где я могу начать, чтобы найти проблему? Что мне делать чтобы исправить это? Я помещаю награду за это, потому что я буквально потерял часа своей жизни на эту проблему, и оставив мой компьютер на все время страшно.

Симптомы:

  • Нажав приостановить приносит мой компьютер в состояние, когда он имеет мигающий курсор, вентиляторы работают, кажется, что HD был выключен (я так думаю), и я ничего не могу сделать, чтобы вернуть его из этого состояния (короткое жесткой перезагрузки).
  • Возможно, по теме: Мои фанаты остаться даже после завершения работы, и даже тогда, я должен нажать кнопку питания в течение пяти секунд, прежде чем я смогу запустить его снова.
  • Я не знаю, какие логи посмотреть, чтобы отладить эту проблему, и я думаю, что они бы все равно сбросили атомную бомбу на перезагрузку.

Пожалуйста, пожалуйста, помогите. Это сводит меня с абсолютно безумны, и я живу с ним уже более года.

+765
posmotrelkino 5 мар. 2015 г., 12:03:00

Я бы хотел, чтобы отключить тачпад во время набора текста, в соответствии с инструкциями по https://help.ubuntu.com/11.10/ubuntu-help/mouse-disabletouchpad.html

К сожалению, мои установки 11.10 не иметь любую другую вкладку, чем "мышь" в "Системные настройки" - > мышь и сенсорная панель'

Насколько я могу судить, тачпад обнаружены (и функционирования) правильно:

Гуус@ноутбука-Гус:~$ сравнению с XInput список
⎡ Виртуальных ядра идентификатор указателя=2 [мастер-указатель (3)]
⎜ ↳ Виртуальных ядра XTEST идентификатор указатель=4 [раб указатель (2)]
⎜ ↳ Импов/2 Альп GlidePoint ИД=13 [раб указатель (2)]
⎜ ↳ Компании Dell компания Dell USB-мышь с id=15 [раб указатель (2)]
⎣ Виртуальных ядра клавиатура id=3 [мастер-клавиатуры (2)]
 Виртуальный ↳ основных XTEST идентификатор клавиатура=5 [раб клавиатура (3)]
 Кнопка питания ↳ ИД=6 [раб клавиатура (3)]
 ↳ Видео автобус с id=7 [раб клавиатура (3)]
 ↳ Видео автобус с id=8 [раб клавиатура (3)]
 Кнопка ↳ рулевое ИД=9 [раб клавиатура (3)]
 ↳ Сна кнопка id=10 [раб клавиатура (3)]
 ↳ Laptop_Integrated_Webcam_FHD ИД=11 [раб клавиатура (3)]
 ↳ В переводе набор 2 идентификатор клавиатура=12 [раб клавиатура (3)]
 ↳ Делл горячие клавиши в WMI код=14 [раб клавиатура (3)]

Может кто-нибудь подскажет, как включить 'отключить во время набора текста функция?

+757
trognanders 2 окт. 2018 г., 13:55:19

Может быть проблема с кодеком видео не показывается, но плеер загружается. Вы установили Ubuntu-ограниченным дополнительно пакет?

+732
imagineerThat 13 авг. 2010 г., 3:51:25

Это немного сложнее, как и другие "как я могу выполнить" вопросы, во-первых, потому что я использую этот скрипт для работы на втором экране (ТВ) полный размер:

 1 #! /бин/Баш
 2 # запуска как XBMC в оконном режиме, а затем использовать wmctrl, чтобы удалить заголовок
3
 4 # Выберите дисплей 1
 5 # отдельном screennél х 0,1 Келл
 6 # монитор twinviewnél Мэг эгр Ван, Азаза 0.0
 7 дисплей=:0.0
8
 9 # начать XBMC, не блокируя этот скрипт
 10 XBMC в &
11
 12 # подождите, пока окно XBMC в появляются
 13 статус=0
 14 в то время как [ $статус -экв 0 ]
 15 сделать
 16 сон 1
 17 статус=`wmctrl -х -л | грэп "XBMC Медиа-Центр" | туалет -л | у awk '{печати $1}"
 18 сделали
19
 20 окно # XBMC в силу в полноэкранный
 21 #экспорт SDL_VIDEO_FULLSCREEN_DISPLAY=1
 22 wmctrl -х -Т 0 -р XBMC Медиа-Центр.Медиа-Центр -б XBMC на тумблер,полноэкранный

а во-вторых, потому как XBMC хотите подключить к экран другого пользователя. Я ничего не знаю о х сессий или как разрешения экрана работает. Возможно ли это вообще ?

Так как я могу достичь этой "Кати" пользователь может запустить этот сценарий в качестве "плеера" пользователя полностью, а не что-нибудь еще ?

+720
vbr 3 янв. 2013 г., 16:44:53

Повезло вам иметь i855.

После выбора логина нажмите на окно в правом нижнем углу, который говорит гном и переключить его в xterm,затем введите следующие команды-

1)судо дополнения кв-репозиторий PPA:гласен/Интел-драйвер

2)судо apt-получить обновление && судо apt-получить обновление

3)судо дополнения кв-репозиторий PPA:гласен/855gm-исправить

4)команду sudo apt-получить обновление && судо apt-получить установку переходный 855gm-исправить-переходный

+691
asgs 19 авг. 2016 г., 9:08:59

В Идеале Не. Вы должны установить все пакеты обновления текущей версии. Затем сделать

судо делать-релиз-обновление

Вы можете подробнее здесь

+625
Peter and the wolf 13 нояб. 2019 г., 6:47:07

Если у вас есть видеокарта ATI в ноутбуке, то драйвер с открытым исходным кодом по умолчанию ноутбук перегреваться. Вы можете использовать драйвер проприетарный fglrx от AMD.

+624
user297520 24 апр. 2017 г., 16:42:54

У меня была полностью рабочая версия Ubuntu 11.10 работает (64 bit) и решил обновить до 12.04. После того как я сделал у меня нет подключения к сети. Я бегу в Tenda беспроводной адаптер W322P. В прошлом я установил его и он работал отлично. Каждый раз, когда я сделал обновление ядра и мне всегда приходилось делать

команды modprobe rt3562sta 

чтобы переустановить и заставить сеть работать. Теперь, я делаю это, я получаю ошибку

Фатальная ошибка: Ошибка вставки rt3562sta (/Либ/модули/3.2.0-24-общий/ядра/драйверов/сеть/беспроводная связь/rt3562sta.ко): неверный формат модуля 

Я мертвым в воде. Любые идеи?

+520
kingrum01 1 окт. 2015 г., 15:52:27

Моя проблема заключается в том, как открыть виртуальную машину от внешней сети. Я собираюсь описать мою проблему в деталях.

У меня одной машине с Убунту сервер 12.04 ЛТС содержит две сетевых карты. Одна сетевая карта подключена к моей шлюза(10.0.0.1) и 10.0.0.3-это IP-адрес этого интерфейса. Еще один сетевой адаптер имеет IP 192.168.0.3, но это часть моста(т. е. br0).

Я создал два гостевых ОС Ubuntu 12.04 LTS для настольных виртуальных машин с IP-адресом 192.168.0.100 и 192.168.0.110.

Мой файл/etc/сети/интерфейсов файла выглядит следующим образом:

Сетевой интерфейс loopback

авто Ло
iface защитный Ло инет замыкания

Основной сетевой интерфейс

авто для eth2
для eth2 iface защитный инет вручную

авто на eth1
слово iface eth1 и инет по DHCP

авто br0
слово iface br0 инет статический
 адрес 192.168.0.3
 сетевая маска 255.255.255.0
 сеть 192.168.0.0
 трансляции 192.168.0.255
 шлюз 10.0.0.1
 bridge_ports для eth2
 bridge_fd 9
 bridge_hello 2
 bridge_maxage 12
 bridge_stp от

Я могу ping для 10.0.0.3 из гостевой виртуальной машине. Но я не могу пинг шлюза (10.0.0.1). У меня уже был IP-пересылки включить в файл/etc/sysctl-переменной.конф. Но я в состоянии получить доступ к интернету с хост-ОС.

Я могу помочь вам получить доступ к 10.0.0.1 и другие сети из виртуальных машин?

+518
user13100 24 мар. 2019 г., 5:58:18

Да, тогда используйте 32-разрядную версию. Я не понимаю, почему это не сработает. Вы можете запускать 32-разрядные программы на 64-битную версию Ubuntu.

+476
MokaT 28 сент. 2019 г., 5:01:16

Редактировать /и т. д./По умолчанию/жратвы и изменить GRUB_DEFAULT значение от 0 до количества Ваших друзей в Windows 7 в меню загрузки grub.

Затем выполните команду sudo обновление-файл grub2

+473
Russ Miller 1 авг. 2017 г., 1:22:53

АПТ и способности командной строки программные средства для управления пакетами приложений. По сути, их установки и удаления программного обеспечения. Если вы новичок в Ubuntu, вы не должны использовать их на всех, потому что Центр приложений Ubuntu - это графическое приложение, чтобы заботиться о таких вещах.

+460
Derekedelaney 14 янв. 2016 г., 7:48:06

Возможно, вы захотите взглянуть на инструкцию, чтобы узнать, как настроить запуск

+385
Olf 3 сент. 2016 г., 5:49:32

Это общая проблема с вином и 64разрядных системах. Решения, предложенные здесь решает проблему де:

+297
Anvesh Tokala 15 дек. 2018 г., 5:58:57

здесь есть решение.. Аркам РПАЦ USB звуковая карта не работает на Ubuntu 12.04 но вы должны удалить с PulseAudio. Я попробовал его с квантовыми и он работает.

+290
Parveen Kenwal 8 июл. 2019 г., 8:08:04

Возможно, если вы измените файл/etc/Х11/файл xorg.конф файл.

Смотрите руководство на странице: человек из xorg.конф

+277
Rin Rooster 9 июн. 2011 г., 14:29:30

Я использую Ubuntu один для синхронизации электронных таблиц Gnumeric табличный. Я люблю, чтобы запустить таблицу через скрипт, что-то вроде Gnumeric, в /дома/дейвс/данные/проверка.Gnumeric, в

Файл в вопрос сейчас у меня в одной папке в Ubuntu. Однако я не могу использовать Ubuntu в одно имя в скрипте как результирующий скрипт при запуске сообщает-нет такого файла или каталога', предположительно, из-за пробела в имени Ubuntu один. Как я могу успешно путь в скрипт, пожалуйста?

+263
Jace 26 дек. 2012 г., 1:08:42

Когда я нажимаю клавишу Win и поиск PDF-файл (или документ LibreOffice), а затем щелкните его, чтобы открыть, он открывает в GNOME-документы. Который в то время я уверен, что это благими намерениями-это очень расстраивает, так как это кусок неполное программного обеспечения. Когда я нажимаю на документ, я хочу работать с ним не просто смотреть на него (и иногда это даже не возможно).

+169
Tryke 22 дек. 2013 г., 9:03:54
В GNOME 3 является следующим поколением гномов. Он обеспечивает совершенно новый рабочий стол, который был разработан для сегодняшних пользователей и технологий. Если ваш вопрос касается интерфейса оболочки GNOME в GNOME 3, пожалуйста, используйте вместо "гном-Шелл метки".
+162
Henke 29 окт. 2013 г., 18:17:45

Вот пример скрипта я написал. На $* означает "все аргументы". Главное, они в кавычках, потому что в противном случае пробелы будут ломать команду. Попурри-это сладкая музыка библиотека/игрок, кстати.

Джейк@Дедал:~$ кот Бен/играть
#!/бин/Баш
попурри --запрос "$*"
попурри ... следующий
Джейк@Дедал:~$ играть Гаррисон Келлер пирог с ревенем

Как Тузик сказал, Не забудьте установить файл исполняемым с помощью команды chmod +х имя_программы.

Что-то вы могли бы рассмотреть делает ОГРН каталогов в вашем домашнем каталоге и добавить его в свой путь. Тогда вы можете вызвать команду неважно, в какой папке вы находитесь. У меня эта строка в моем .bashrc следующее: путь=$дома/ОГРН:$путь. Если вы не делаете этого, вы должны использовать абсолютный или относительный путь, когда вы вызываете ваш скрипт, т. е.:

[email protected]:/usr/local/share/docs$ /дома/Джейк/ОГРН/играть фу бойцов вековечное
Джейк@Дедал:~в/bin$ ./играть плацебо, где мой ум

Я настоятельно рекомендую Grymoire руководство к SH скриптов. То, что вам нужно сделать, это использовать оболочки позиционные параметры , чтобы принимать аргументы и вставить их в вашу команду. Там же TLDP еще больше в глубину обработки Баша позиционных параметров. Я бы начал с Grymoire, а затем прочитать TLDP, когда вы будете готовы для более продвинутых лечения субъекта.

+103
mtewes 14 сент. 2013 г., 18:26:08

Недавно я скачал стим и купил ХЛ1 сверток, а также несколько других игр через Steam и Desura. Я хотел бы использовать мой Logitech F310 не вместо клавиатуры и мыши, но я не могу показаться, чтобы найти любые приложения на карту ключи к кнопкам на мой геймпад. Может кто-нибудь помочь?

+102
alissono1588 26 янв. 2017 г., 12:53:58

Когда вы открываете zip-архив с архивом менеджера, он говорит вам размер содержащихся в ней файлов.

Если вы хотите знать, сколько все или некоторые содержат файлы, просто отметьте их (чтобы отметить все файлы клавиш Ctrl+A) и посмотрите в баре на дне.enter image description here

+48
Asmaa Samy Goda 17 авг. 2019 г., 10:29:17

Показать вопросы с тегом